summaryrefslogtreecommitdiffstats
path: root/src.etc/init.d/mounttmpfs
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2014-03-13 23:40:07 (EDT)
committer P. J. McDermott <pjm@nac.net>2014-03-13 23:40:07 (EDT)
commit03fa1b027e4d92df4be3b5d1cca5bae38ba19707 (patch)
tree64aa07a4d3379f1de439ace63abd1abdffb4333e /src.etc/init.d/mounttmpfs
parentc007674154570c98c5fd36868af2d346a4c6e0e9 (diff)
Fix grep commands in init scripts.
The exit status of a pipeline is the exit status of the last command in the pipeline. If the last command is ":", the exit status will always be 0, regardless of whether grep finds the specified pattern. So just use grep's -q command. According to the documentation for GNU grep, some older grep implementations lacked this option. But we're only running these scripts on BusyBox grep, which unconditionally includes this option.
Diffstat (limited to 'src.etc/init.d/mounttmpfs')
-rwxr-xr-xsrc.etc/init.d/mounttmpfs8
1 files changed, 4 insertions, 4 deletions
diff --git a/src.etc/init.d/mounttmpfs b/src.etc/init.d/mounttmpfs
index 902ad1d..96b398e 100755
--- a/src.etc/init.d/mounttmpfs
+++ b/src.etc/init.d/mounttmpfs
@@ -4,14 +4,14 @@ start()
{
printf 'Mounting temporary file systems... '
- if ! mount | grep -F ' /run ' 2>&1 | :; then
+ if ! mount | grep -Fq ' /run '; then
mount -t tmpfs -o nodev,noexec,nosuid,mode=0755 tmpfs /run
fi
[ -d /run/lock ] || mkdir -m 1777 /run/lock
[ -d /run/shm ] || mkdir -m 1777 /run/shm
- if ! mount | grep -F ' /tmp ' 2>&1 | :; then
+ if ! mount | grep -Fq ' /tmp '; then
mount -t tmpfs -o nodev,nosuid,mode=1777 tmpfs /tmp
fi
@@ -22,11 +22,11 @@ stop()
{
printf 'Unmounting temporary file systems... '
- if mount | grep -F ' /run ' 2>&1 | :; then
+ if mount | grep -Fq ' /run '; then
umount /run
fi
- if mount | grep -F ' /tmp ' 2>&1 | :; then
+ if mount | grep -Fq ' /tmp '; then
umount /run
fi